PACREPAIRFILE(1)

BEZEICHNUNG
pacrepairfile - Eigenschaften von Alpm-verwalteten Dateien zurücksetzen

ÜBERSICHT
 pacrepairfile [Optionen] (--gid|--mode|--mtime|--uid) … <Datei> …
 pacrepairfile (--help|--version)

BESCHREIBUNG
Setzt basierend auf den MTREE-Daten die Eigenschaften von Dateien zurück, die durch Alpm verwaltet werden.

Falls die Standardeingabe nicht mit einem Terminal verbunden ist, werden die Dateien aus der Standardeingabe gelesen.

OPTIONEN

--config=Pfad
    gibt den Pfad zu einer alternativen Konfigurationsdatei an.

--dbpath=Pfad
    gibt den Pfad zu einer alternativen Datenbank an.

--root=Pfad
    gibt eine alternative Installationswurzel an.

--sysroot=Pfad
    gibt eine alternative Systemwurzel an. Siehe pacutils-sysroot(7).

--quiet
    zeigt keine Fortschrittsinformationen an.

--package=Paketname
    sucht im angegebenen Paket nach Dateieigenschaften. Dies kann mehrfach angegeben werden. Falls --package nicht angegeben ist, werden alle installierten Pakete durchsucht.

--help
    zeigt Hinweise zur Verwendung an und beendet das Programm.

--version
    zeigt Versionsinformationen an und beendet das Programm.

  Felder

--gid
    setzt die Gruppenkennung des Dateieigentümers zurück.

--mode
    setzt die Dateizugriffsrechte zurück.

--mtime
    setzt die Änderungszeit der Datei zurück.

--uid
    setzt die Benutzerkennung des Dateieigentümers zurück.

WARNUNGEN
pacrepairfile ermittelt durch eine einfache Überprüfung mit isatty(3), ob Pakete aus der Standardeingabe gelesen werden sollen oder nicht. Falls pacrepairfile in einer Umgebung aufgerufen wird, beispielsweise in einer Shellfunktion oder einem Skript, das in einer Pipe verwendet wird, wobei die Standardeingabe nicht mit einem Terminal verbunden ist, aber keine zurückzusetzenden Dateien enthält, sollte pacrepairfile mit geschlossener Standardeingabe aufgerufen werden. Für POSIX-kompatible Shells können Sie dies mit »<&-« erreichen.

Damit pacrepairfile die Eigenschaften einer Datei zurücksetzen kann, muss das Paket, zu dem die Datei gehört, MTREE-Daten enthalten.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).